Skip to main content

Delete Volume (V2)

This operation deletes a volume in the specified project.

DELETE/v2/volumes/{VOLUME_NAME}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
VOLUME_NAMEstringpathrequired

The name of an existing volume to delete.

Example Value: my_volume
bash
export TOKEN="YOUR_API_KEY"
export VOLUME_NAME="my_volume"

curl --request DELETE \
--url "${BASE_URL}/v2/volumes/${VOLUME_NAME}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns the name of the deleted volume.

Returns the deleted volume name.

codeinteger<int32>

Response code.

dataobject

Response payload object returned by the operation.

volumeNamestring

The name of the deleted volume.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {
"volumeName": "my_volume"
}
}